<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script type="text/javascript">
            function funcion1(){
                /*nombre=document.formulario.cnombre.value;*/
                nombre=document.querySelector("#inombre").value;
                console.log(nombre);
            }
        </script>
        <script>
            let nombre = 'Tu Nombre';            
            let a = 1;
            let b = 2;
            let c = a + b;
            /*nombre=prompt("introduce tu nombre");
           console.log(nombre);*/
        </script>
        <form name="formulario">
            <label for="inombre">introduce tu nombre</label>
            <input type="text" name="cnombre" placeholder="escribe tu nombre" id="inombre">
            <button type="button" onclick="funcion1()">leer</button>
        </form>
    </body>
</html>
        
